.password_strength_bar {
  position: absolute;
  top: 0;
  margin-left: -15px;
  display: block;
  height: 4px;
  width:0;
  border:1px;
  background-color: transparent;
  transition: all .4s;
  -webkit-transition: all .4s;
  -moz-transition: all .4s;
}

.password_strength_bar.weak {
  width: 33.3% !important;
  background-color: #e74c3c;
}

.password_strength_bar.medium {
  width: 66.6% !important;
  background-color: #e67e22;
}

.password_strength_bar.strong {
  width: 100% !important;
  background-color: #2ecc71;
}

input:focus ~ .password_strength_bar, input:valid ~ .password_strength_bar {
  width:100%;
}
